package org.wfc.omada.api.monitor.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * ActiveDevice
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:38:12.484+08:00[Asia/Shanghai]")

public class ActiveDevice   {
  @JsonProperty("status")
  private Integer status;

  @JsonProperty("name")
  private String name;

  @JsonProperty("traffic")
  private Double traffic;

  @JsonProperty("mac")
  private String mac;

  @JsonProperty("model")
  private String model;

  @JsonProperty("modelVersion")
  private String modelVersion;

  public ActiveDevice status(Integer status) {
    this.status = status;
    return this;
  }

  /**
   * Status should be a value as follows: 0: Connected; 1: Disconnected.
   * @return status
  */
  @ApiModelProperty(value = "Status should be a value as follows: 0: Connected; 1: Disconnected.")


  public Integer getStatus() {
    return status;
  }

  public void setStatus(Integer status) {
    this.status = status;
  }

  public ActiveDevice name(String name) {
    this.name = name;
    return this;
  }

  /**
   * Device name
   * @return name
  */
  @ApiModelProperty(value = "Device name")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public ActiveDevice traffic(Double traffic) {
    this.traffic = traffic;
    return this;
  }

  /**
   * Traffic measured in GB
   * @return traffic
  */
  @ApiModelProperty(value = "Traffic measured in GB")


  public Double getTraffic() {
    return traffic;
  }

  public void setTraffic(Double traffic) {
    this.traffic = traffic;
  }

  public ActiveDevice mac(String mac) {
    this.mac = mac;
    return this;
  }

  /**
   * Device MAC address, linked to the device details page
   * @return mac
  */
  @ApiModelProperty(value = "Device MAC address, linked to the device details page")


  public String getMac() {
    return mac;
  }

  public void setMac(String mac) {
    this.mac = mac;
  }

  public ActiveDevice model(String model) {
    this.model = model;
    return this;
  }

  /**
   * Device model, such as EAP620 HD
   * @return model
  */
  @ApiModelProperty(value = "Device model, such as EAP620 HD")


  public String getModel() {
    return model;
  }

  public void setModel(String model) {
    this.model = model;
  }

  public ActiveDevice modelVersion(String modelVersion) {
    this.modelVersion = modelVersion;
    return this;
  }

  /**
   * Model version, such as 3.0
   * @return modelVersion
  */
  @ApiModelProperty(value = "Model version, such as 3.0")


  public String getModelVersion() {
    return modelVersion;
  }

  public void setModelVersion(String modelVersion) {
    this.modelVersion = modelVersion;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ActiveDevice activeDevice = (ActiveDevice) o;
    return Objects.equals(this.status, activeDevice.status) &&
        Objects.equals(this.name, activeDevice.name) &&
        Objects.equals(this.traffic, activeDevice.traffic) &&
        Objects.equals(this.mac, activeDevice.mac) &&
        Objects.equals(this.model, activeDevice.model) &&
        Objects.equals(this.modelVersion, activeDevice.modelVersion);
  }

  @Override
  public int hashCode() {
    return Objects.hash(status, name, traffic, mac, model, modelVersion);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ActiveDevice {\n");
    
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    traffic: ").append(toIndentedString(traffic)).append("\n");
    sb.append("    mac: ").append(toIndentedString(mac)).append("\n");
    sb.append("    model: ").append(toIndentedString(model)).append("\n");
    sb.append("    modelVersion: ").append(toIndentedString(modelVersion)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

